質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.10%

csvファイルの読み込みでエラーが起こってしまう

受付中

回答 2

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 318

orr

score 4

pythonでcsvデータの読み込みをするプログラムでこのようなエラーがでてしまいました。
何が悪くて出てしまっているのでしょうか。
pandas,tensorflow,kerasも使っています。

ソースコード

from __future__ import print_function

import pandas as pd
from pandas import Series,DataFrame

from sklearn import svm
from sklearn.model_selection import train_test_split
from sklearn.metrics import accuracy_score

import numpy as np
import matplotlib.pyplot as plt

import keras
from keras.datasets import fashion_mnist
from keras.models import Sequential
from keras.layers import Dense, Dropout
from keras.optimizers import RMSprop
from keras.optimizers import Adam


csvdataset = pd.read_csv("Train_Random.csv",header=0)

#説明変数
x = DataFrame(csvdataset.drop("Result",axis=1))

#目的変数
y = DataFrame(csvdataset["Result"])


#説明変数・目的変数をそれぞれ訓練データ・テストデータに分割
x_train,x_test,y_train,y_test = train_test_split(x,y,test_size=0.08)


#データの整形
x_train = x_train.astype(np.float)
x_test = x_test.astype(np.float)

y_train = keras.utils.to_categorical(y_train,10)
y_test = keras.utils.to_categorical(y_test,10)


#ニューラルネットワークの実装①
model = Sequential()

model.add(Dense(60, activation='relu', input_shape=(59,)))
model.add(Dropout(0.2))

model.add(Dense(60, activation='relu', input_shape=(59,)))
model.add(Dropout(0.2))

model.add(Dense(60, activation='relu', input_shape=(59,)))
model.add(Dropout(0.2))

model.add(Dense(10, activation='softmax'))

model.summary()
print("\n")

#ニューラルネットワークの実装②
model.compile(loss='mean_squared_error',optimizer=RMSprop(),metrics=['accuracy'])

#ニューラルネットワークの学習
history = model.fit(x_train, y_train,batch_size=200,epochs=100,verbose=1,validation_data=(x_test, y_test))

#ニューラルネットワークの推論
score = model.evaluate(x_test,y_test,verbose=1)
print("\n")
print("Test loss:",score[0])
print("Test accuracy:",score[1])


エラーコード

Using TensorFlow backend.
ERROR:root:Internal Python error in the inspect module.
Below is the traceback from this internal error.

Traceback (most recent call last):
  File "C:\Users\user\Anaconda3\lib\site-packages\IPython\core\interactiveshell.py", line 3319, in run_code
    exec(code_obj, self.user_global_ns, self.user_ns)
  File "<ipython-input-3-2f825c83b484>", line 13, in <module>
    import keras
  File "C:\Users\user\Anaconda3\lib\site-packages\keras\__init__.py", line 3, in <module>
    from . import utils
  File "C:\Users\user\Anaconda3\lib\site-packages\keras\utils\__init__.py", line 6, in <module>
    from . import conv_utils
  File "C:\Users\user\Anaconda3\lib\site-packages\keras\utils\conv_utils.py", line 9, in <module>
    from .. import backend as K
  File "C:\Users\user\Anaconda3\lib\site-packages\keras\backend\__init__.py", line 89, in <module>
    from .tensorflow_backend import *
  File "C:\Users\user\Anaconda3\lib\site-packages\keras\backend\tensorflow_backend.py", line 360, in <module>
    name_scope = tf.name_scope
AttributeError: module 'tensorflow' has no attribute 'name_scope'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\user\Anaconda3\lib\site-packages\IPython\core\interactiveshell.py", line 2034, in showtraceback
    stb = value._render_traceback_()
AttributeError: 'AttributeError' object has no attribute '_render_traceback_'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\user\Anaconda3\lib\site-packages\IPython\core\ultratb.py", line 1151, in get_records
    return _fixed_getinnerframes(etb, number_of_lines_of_context, tb_offset)
  File "C:\Users\user\Anaconda3\lib\site-packages\IPython\core\ultratb.py", line 319, in wrapped
    return f(*args, **kwargs)
  File "C:\Users\user\Anaconda3\lib\site-packages\IPython\core\ultratb.py", line 353, in _fixed_getinnerframes
    records = fix_frame_records_filenames(inspect.getinnerframes(etb, context))
  File "C:\Users\user\Anaconda3\lib\inspect.py", line 1502, in getinnerframes
    frameinfo = (tb.tb_frame,) + getframeinfo(tb, context)
  File "C:\Users\user\Anaconda3\lib\inspect.py", line 1460, in getframeinfo
    filename = getsourcefile(frame) or getfile(frame)
  File "C:\Users\user\Anaconda3\lib\inspect.py", line 696, in getsourcefile
    if getattr(getmodule(object, filename), '__loader__', None) is not None:
  File "C:\Users\user\Anaconda3\lib\inspect.py", line 733, in getmodule
    if ismodule(module) and hasattr(module, '__file__'):
  File "C:\Users\user\Anaconda3\lib\site-packages\tensorflow\__init__.py", line 50, in __getattr__
    module = self._load()
  File "C:\Users\user\Anaconda3\lib\site-packages\tensorflow\__init__.py", line 44, in _load
    module = _importlib.import_module(self.__name__)
  File "C:\Users\user\Anaconda3\lib\importlib\__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
  File "<frozen importlib._bootstrap>", line 983, in _find_and_load
  File "<frozen importlib._bootstrap>", line 953, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
  File "<frozen importlib._bootstrap>", line 983, in _find_and_load
  File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 728, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "C:\Users\user\Anaconda3\lib\site-packages\tensorflow_core\__init__.py", line 42, in <module>
    from tensorflow._api.v1 import compat
  File "C:\Users\user\Anaconda3\lib\site-packages\tensorflow_core\_api\v1\compat\__init__.py", line 23, in <module>
    from tensorflow._api.v1.compat import v1
  File "C:\Users\user\Anaconda3\lib\site-packages\tensorflow_core\_api\v1\compat\v1\__init__.py", line 48, in <module>
    from tensorflow._api.v1.compat.v1 import linalg
  File "C:\Users\user\Anaconda3\lib\site-packages\tensorflow_core\_api\v1\compat\v1\linalg\__init__.py", line 33, in <module>
    from tensorflow.python.ops.linalg.linalg_impl import matrix_rank
ImportError: cannot import name 'matrix_rank' from 'tensorflow.python.ops.linalg.linalg_impl' (C:\Users\user\Anaconda3\lib\site-packages\tensorflow_core\python\ops\linalg\linalg_impl.py)
---------------------------------------------------------------------------
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • hayataka2049

    2020/01/16 22:17

    エラーメッセージをコードブロックの中に入れるように編集してください。

    ```
    エラーメッセージ
    ```

    のようにすれば良いです。あるいは選択して<code>ボタンでも挿入可能です。

    キャンセル

回答 2

0

気になった点

pythonでcsvデータの読み込みをするプログラムでこのようなエラーがでてしまいました。

error内容を拝見する限り、csvファイルに関するエラーメッセージは出ていないように思います。

name_scope = tf.name_scope
AttributeError: module 'tensorflow' has no attribute 'name_scope'
stb = value._render_traceback_()
AttributeError: 'AttributeError' object has no attribute '_render_traceback_'
from tensorflow.python.ops.linalg.linalg_impl import matrix_rank
ImportError: cannot import name 'matrix_rank' from 'tensorflow.python.ops.linalg.linalg_impl' (C:\Users\user\Anaconda3\lib\site-packages\tensorflow_core\python\ops\linalg\linalg_impl.py)


上記三つは似ているエラー内容です。
tensorflowにはname_scopeというアトリビュートはなく、他二つも同様な感じです。
しかし、ソースコードがない限り、エラー内容を見たところでは何とも言えないので、ここら辺が私の限界です。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2020/01/16 22:51

    ありがとうございます。ソースコードも追記しておきましたのでよろしければお願いします。

    キャンセル

  • 2020/01/16 23:46

    個人的に動かしてみたいのですが、csvファイルをGitHubなどにおいては貰えないでしょうか。

    キャンセル

  • 2020/01/17 11:40

    MNISTで試してみたところ、上手く動作しました。

    キャンセル

0

よくわからないけどライブラリの中でこけているということで、どうも環境絡みの問題のようなので、アンインストールの後再インストールが事実上一番手っ取り早い解決策(ただしこれでちゃんと直るかは正直よくわからない)かもしれません。

python - AttributeError: module 'tensorflow' has no attribute 'name_scope' with Keras - Stack Overflow
Python 3.x - [python]tensorflowを動かそうとしたのですがインポートでつまづいて困っています|teratail

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.10%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる